package parser

const (
    LayerTypeEthernet = iota
    LayerTypeARP
    LayerTypeIPv4
    LayerTypeIPv6
    LayerTypeTCP
    LayerTypeUDP
)

type Layer interface {
    LayerType() int
}

type BaseLayer struct {
    Header  []byte
    Payload []byte
}
